Page MenuHomePhabricator

Add Eileenmcnaughton to the NDA list #WMF-NDA
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 26 2016, 12:25 AM
Danny_B renamed this task from Please add me to the NDA list #WMF-NDA to Add Eileenmcnaughton to the NDA list #WMF-NDA .Jul 26 2016, 10:17 AM
Danny_B added a project: WMF-NDA-Requests.

If this is a WMF staff request, I currently cannot verify that this is actually an account of a WMF staff member.
If this is a request for access to NDA tickets in Phabricator as a a volunteer, this needs a comment of approval from one Wikimedia Foundation manager to proceed.
Clarification welcome.

Aklapper triaged this task as Normal priority.Jul 27 2016, 10:40 AM
Aklapper added a subscriber: DStrine.

Reassigning to requester due to open questions.

@Eileenmcnaughton, @DStrine: Can someone answer T141326#2498383 (and/or actually link an account on the Staff page)?

DStrine added a subscriber: K4-713.Aug 24 2016, 3:15 PM

@Aklapper

It looks like you are using other accounts to verify a user's identity. I have seen on multiple occasions that OIT and basic on-baording did not set up the user's account correctly. I think you will run into this problem a lot. Can you verify users in another way of communicate your problem to OIT and HR?

@K4-713 can you verify that this is Eileen?

@Aklapper
It looks like you are using other accounts to verify a user's identity.

@DStrine: As I used "other accounts", which non-other accounts do you have in mind? :)

Can you verify users in another way of communicate your problem to OIT and HR?

Managers can always vouch in a ticket. (I don't see a problem of OIT and HR here.)

HR can tell you if a person is a full time employee or a contractor. They have all the official paperwork. The profiles you reference today are clearly inconstant and unreliable.

If you want to continue using various wiki profiles for verification, I would suggest communicating this to OIT and HR. Let them know that they need to follow these steps in their on-boarding activities. You should also let them know that there are staff and contractor who have missed these steps. OIT and HR probably need an audit of current staff.

Aklapper added a comment.EditedOct 21 2016, 4:58 PM

@DStrine:

HR can tell you if a person is a full time employee or a contractor.

wmf:Staff and contractors also tells names (but not always related wiki accounts). Hence I do not see a need to contact HR?

The profiles you reference today are clearly inconstant and unreliable.
If you want to continue using various wiki profiles for verification, I would suggest communicating this to OIT and HR.

Well, what other options exist if I would not "want to continue"? A Phabricator account is bound to a SUL/OAuth mediawiki.org account (or an LDAP account that I cannot check for its email address); nothing else exists that would allow verifying (as Phab admins cannot see/access the email address linked to a Phabricator account).

Let them know that they need to follow these steps in their on-boarding activities.

Any team/manager who follows WMF's existing onboarding docs already knows, see my links above. So I do not understand how letting them (teams? staff? HR?) know would change anything.

You should also let them know that there are staff and contractor who have missed these steps. OIT and HR probably need an audit of current staff.

Personally I don't (yet) see a need for some audit; if you do I'd be interested in the reasons (and would like to be CC'ed on an email to WMF's OIT and HR).
Thanks!

@Aklapper @DStrine I can verify that this is indeed Eileen.

Additionally: There may be some unusual confusion around her accounts as she was a vendor contractor at some point before we brought her on as an employee-type.

Aklapper closed this task as Resolved.Oct 22 2016, 7:34 PM

I can verify that this is indeed Eileen.

Thank you! As the Phab account @K4-713 got already verified when we imported accounts from RT into Phab in Dec 2014, I have now added the account @Eileenmcnaughton to WMF-NDA. (I'm sorry that this was a pretty bumpy road.)

Aklapper claimed this task.Oct 22 2016, 7:34 PM